Skip to content

database_api.get_nai_pool ​

since HF23 deprecated

SMT has been abandoned; this RPC method is no longer provided.

Purpose ​

Return an array of Numeric Asset Identifier (NAI) available to be used for new SMT to be created.

See: Numerical Asset Identifiers

Parameters ​

PARAMETERS
json
{}

⚠ This method is deprecated (SMT-era) and no longer served by public nodes.

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.get_nai_pool",
    "params": {},
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "nai_pool": []
}